Package org.globus.gsi.provider

# Class GlobusTrustManagerFactoryParameters

java.lang.Object
org.globus.gsi.provider.GlobusTrustManagerFactoryParameters

All Implemented Interfaces:
  `ManagerFactoryParameters`

public class GlobusTrustManagerFactoryParameters extends Object implements ManagerFactoryParameters

## Constructor Summary

Constructors
Constructor
Description
`GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy)`
`GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> handlers)`

## Method Summary

Modifier and Type
Method
Description
`X509ProxyCertPathParameters`
`getCertPathParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusTrustManagerFactoryParameters

public GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy)

### GlobusTrustManagerFactoryParameters

public GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> handlers)

## Method Details

### getCertPathParameters

public X509ProxyCertPathParameters getCertPathParameters()